Memtable (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class Memtable

- java.lang.Object
- - org.apache.cassandra.db.Memtable

-     public class Memtable
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnFamilyStore` | `cfs`
    `CellNameType` | `initialComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Memtable(ColumnFamilyStore cfs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(OpOrder.Group opGroup)`
    `java.lang.String` | `contents()`
    `long` | `creationTime()`
    `org.apache.cassandra.db.Memtable.FlushRunnable` | `flushRunnable()`
    `MemtableAllocator` | `getAllocator()`
    `ColumnFamily` | `getColumnFamily(DecoratedKey key)`
    `java.util.Iterator<java.util.Map.Entry<DecoratedKey,ColumnFamily>>` | `getEntryIterator(RowPosition startWith, RowPosition stopAt)`
    `ReplayPosition` | `getLastReplayPosition()`
    `long` | `getLiveDataSize()`
    `long` | `getOperations()`
    `boolean` | `isClean()`
    `boolean` | `isCleanAfter(ReplayPosition position)`
    `boolean` | `isExpired()`
    `boolean` | `isLive()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cfs

          public final ColumnFamilyStore cfs

    - #### initialComparator

          public final CellNameType initialComparator

  - ### Constructor Detail

    - #### Memtable

          public Memtable(ColumnFamilyStore cfs)

  - ### Method Detail

    - #### getAllocator

          public MemtableAllocator getAllocator()

    - #### getLiveDataSize

          public long getLiveDataSize()

    - #### getOperations

          public long getOperations()

    - #### accepts

          public boolean accepts(OpOrder.Group opGroup)

    - #### isLive

          public boolean isLive()

    - #### isClean

          public boolean isClean()

    - #### isCleanAfter

          public boolean isCleanAfter(ReplayPosition position)

    - #### isExpired

          public boolean isExpired()

      Returns:
        true if this memtable is expired. Expiration time is determined by CF's memtable_flush_period_in_ms.

    - #### contents

          public java.lang.String contents()

    - #### flushRunnable

          public org.apache.cassandra.db.Memtable.FlushRunnable flushRunnable()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getEntryIterator

          public java.util.Iterator<java.util.Map.Entry<DecoratedKey,ColumnFamily>> getEntryIterator(RowPosition startWith,
                                                                                            RowPosition stopAt)

      Parameters:
        `startWith` - Include data in the result from and including this key and to the end of the memtable
      Returns:
        An iterator of entries with the data from the start key

    - #### getColumnFamily

          public ColumnFamily getColumnFamily(DecoratedKey key)

    - #### creationTime

          public long creationTime()

    - #### getLastReplayPosition

          public ReplayPosition getLastReplayPosition()

Copyright © 2014 The Apache Software Foundation